onboard (1.2.0-0ubuntu5) xenial; urgency=medium

  * debian/patches/fix_untranslatable_buttons.patch: create (LP: #1567301)

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 15 Apr 2016 21:59:05 +0200

onboard (1.2.0-0ubuntu4) xenial; urgency=medium

  * debian/patches/fix_arrows_on_compact_layout.patch: create (LP: #1550534)

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 26 Feb 2016 22:47:36 +0100

onboard (1.2.0-0ubuntu3) xenial; urgency=medium

  * debian/patches/add_defaults_for_ubuntu.patch:
    - Add comments about where to find info about more keys
    - Add keys about docking and expending the Onboard window
    - Enable docking of Onboard window (LP: #1546654)
    - Enable expanding in portrait and landscape mode (LP: #1546654)

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 25 Feb 2016 20:46:36 +0100

onboard (1.2.0-0ubuntu2) xenial; urgency=medium

  * debian/patches/add_defaults_for_ubuntu.patch: refresh patch

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 25 Feb 2016 15:54:48 +0100

onboard (1.2.0-0ubuntu1) xenial; urgency=medium

  * Request for sponsorship for new upstream release (LP: #1547054)
  * debian/control: add gnome-shell-extension-onboard package
  * debian/copyright: rewrite to use machine readable DEP-5 format
  * debian/onboard.lintian-overrides: remove
  * debian/source.lintian-overrides: 
    - false missing license warnings: the license texts are in separate files
  * debian/onboard.install:
    - remove usr/share/dbus-1 entry
    - replace usr/share/onboard/COPYING with usr/share/onboard/COPYING*
    - add usr/share/onboard/HACKING entry
    - add usr/share/help/C/onboard entry
    - add usr/share/man/man1 entry
  * debian/gnome-shell-extension-onboard.install: create
  * Word suggestions and auto-correction:
    - Add arrows to page through more suggestions and option to turn them off
    - Show capitalized suggestions even when SHIFT is off
    - Don't place the remove suggestion dialog behind Onboard
    - Improve behaviour of auto-punctuation
    - Begin preparations for lazy word separator insertion
    - Disable punctuation assistance when entering commands in the terminal
    - Disable spelling suggestions for URLs and file names
    - Disable auto-capitalization of URLs and file names
    - Add Bulgarian system language model
  * Layouts:
    - Improve Phone layout for cyrillic languages
    - Improve Small layout for cyrillic languages (LP: #1534210)
    - Shorten key label "horiz\nconn" to Gdk provided "ho"
    - If the layout contains a keysym error, show full hexcode of keysym
  * License and copyright information: (LP: #1412647)
    - Clarify the information
    - Update the information
    - Make it all available in the COPYING file
  * Unit tests:
    - Add test for modifier unlatching
    - Fix regression when importing Gtk without first specifying the version
    - Adapt to the removal of onboard-defaults.conf.nexus7
  * Preferences dialog:
    - Make Preferences->Keyboard->Advanced scrollable
    - Add status-icon-provider setting to Preferences (LP: #1454405)
    - Show sticky-key-release-on-hide-delay setting in Preferences
    - Rename "User layouts" to "My layouts"
  * Add initial GNOME Shell extension for Onboard
  * Replace old documentation with initial documentation in mallard format
  * Add man pages (thanks Mike Gabriel)
  * Detect default prompt of fish interactive shell in DomainTerminal
  * Add support for flake8
  * Type SHIFT+key on right click for uppercase letters, etc.
  * Add new auto-show repositioning method for reduced pointer travel
  * Add command to the licensing tool for writing licensing headers to files
  * Update tools/licensing list-committers to skip binary and unversioned files
  * Disable click sound in space feature, but keep gsettings key (LP: #1529140)
  * Remove copyright sign from service file to appease pbuilder
  * Allow the letter_frequencies tool to take a filename of a language model
  * Make builds on debian reproducible, thanks Mike Gabriel (LP: #1530519)
  * Update and improve the description of a number of gsettings keys
  * Don't auto-save language models while keys are being pressed
  * Remove unnecessary special treatment of ALT in override redirect mode
  * Remove fall-back to old virtkey API. Virtkey is part of Onboard now
  * Improve PEP8 compliance of various python files
  * Attempt to auto-show and keep Onboard visible in unity dash
  * Correctly position the language menu also in wily
  * Show rounded corners and transparency of the icon palette also in wily
  * Return transparency effects of the keyboard in wily
  * Don't invert the case of auto-typed suggestions when CAPS is enabled
  * Improve auto-show logic in the presence of text popups
  * Automatically insert a slash after the top level domain co
  * Improve window movement with enabled decoration when dragging the titlebar
  * Keep the keyboard active while moving by title bar (LP: #1461823)
  * Stop synchronisation of modifiers when Alt is active
  * Recognize a touch device with reception of a touch event
  * Enhance cleaning command of source tree
  * Trap the occasional X error BadDrawable causing Onboard to exit
  * Fix LibreOffice Writer losing text color on suggestions before a space
  * Fix Compiz wall plugin's viewport not always closing (LP: #1532254)
  * Fix some labels not being displayed in uppercase on Caps-Lock (LP: #1513773)
  * Fix extra space being inserted when replacing selection with suggestion
  * Fix auto-hide not extending delay while typing on physical keyboard
  * Fix D-Bus getting tripped up by zero bytes in hex label string
  * Fix Onboard stretching across width of unity-greeter in xenial
  * Fix start failure on xenial when D-Bus session is not available
  * Fix warnings about missing gi.require_version with python3-gi 3.18
  * Fix several depreciation warnings
  * Fix touch input with event source GTK and multi-touch mode, thanks J Wiegman
  * Fix touch events not being received in Kwin (LP:1470825)
  * Fix spurious backtrace on suggestions when accessible becomes invalid
  * Fix status icon size with lxpanel-indicator-applet-plugin (LP: #1467723)
  * Fix re.split() FutureWarning for python 3.5
  * Fix internat. character selection offset on high-dpi screen (LP: #1421840)
  * Fix left click on GtkStatusIcon fallback not working (LP: #1421972)
  * Fix stuck keys in keyboard popups with event source GTK
  * Fix auto-inserting separator Ĩ instead of space when NumLock is enabled
  * Fix initial Py_None not being dereferenced when copying OskDeviceEvents
  * Fix traceback when showing keyboard popups in Precise
  * Fix display of key popups for compiz and metacity in Precise
  * Fix segfault in the osk extension for Precise
  * Fix transparency effects on Precise
  * Fix stack smashing error with GCC 4.6.3 on Precise
  * Remove outdated files
  * Update HACKING file

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 18 Feb 2016 16:02:00 +0100

onboard (1.1.2-0ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:24 +0000

onboard (1.1.2-0ubuntu1) wily; urgency=medium

  * Request for sponsorship for new upstream release (LP: #1487009)
  * debian/patches: refresh add_defaults_for_ubuntu.patch
  * Import wily translations from rosetta for Onboard 1.1 as of 18/08/2015
  * Attempt to auto-show and keep Onboard visible in unity dash
  * Correctly position the language menu also in wily
  * Have rounded corners and transparency of the icon palette also in wily
  * Return transparency effects of the keyboard in wily
  * Don't invert the case of auto-typed suggestions when CAPS is enabled
  * Improve auto-show logic in the presence of text popups
  * Automatically insert a slash after the top level domain co
  * Fix touch input with event source GTK and multi-touch mode, thanks J Wiegman
  * Fix touch events not being received in Kwin (LP:1470825)
  * Fix spurious backtrace on suggestions when accessible becomes invalid
  * Fix status icon size with lxpanel-indicator-applet-plugin (LP: #1467723)
  * Improve window movement with enabled decoration when dragging the titlebar
  * Keep the keyboard active while moving by title bar (LP: #1461823)
  * Fix re.split() FutureWarning for python 3.5

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 20 Aug 2015 14:39:38 +0200

onboard (1.1.1-0ubuntu5) wily; urgency=medium

  * Remove explicit dependencies on any shared library.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 12:36:16 +0200

onboard (1.1.1-0ubuntu4) wily; urgency=medium

  * Rebuild, follow-up for libstdc++ ABI transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 11:20:31 +0200

onboard (1.1.1-0ubuntu3) wily; urgency=medium

  * debian/rules: Use dh_python3 --shebang=/usr/bin/python3 (LP: #1479699)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 30 Jul 2015 04:01:54 -0600

onboard (1.1.1-0ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:04:01 +0000

onboard (1.1.1-0ubuntu1) vivid; urgency=low

  * Request for sponsorship for new upstream release (LP: #1423181)
  * debian/rules:
    - Add additional cleaning to override_dh_auto_clean target
  * debian/patches:
    - Clean up and rebase add_defaults_for_ubuntu.patch patch
  * Import vivid translations from rosetta for Onboard 1.1 as of 18/02/2015
  * Fix international character selection offset on high-dpi screen (LP: #1421840)
  * Fix left click on GtkStatusIcon fallback not working (LP: #1421972)
  * Trap the occasional X error BadDrawable causing Onboard to exit
  * Fix traceback when showing keyboard popups in Precise
  * Fix display of key popups for compiz and metacity in Precise
  * Fix stuck keys in keyboard popups with event source GTK
  * Fix auto-inserting separator Ĩ instead of space when NumLock is enabled
  * Fix initial Py_None not being dereferenced when copying OskDeviceEvents
  * Stop synchronisation of modifiers when Alt is active
  * Recognize a touch device with reception of a touch event
  * Enhance cleaning command of source tree
  * Add encoding line to setup.py
  * Remove unused template.svg

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 18 Feb 2015 14:47:43 +0100

onboard (1.1.0-0ubuntu1) vivid; urgency=low

  * Request for sponsorship for new upstream release (LP: #1415041)
  * debian/control:
    - Raise Standards-Version to 3.9.6
    - Add xdg-utils to Recommends
  * debian/copyright:
    - Edit emails to add small protection against email harvesting
    - Update years information
  * debian/onboard.install:
    - Add the usr/share/onboard/settings_auto_show_dialog.ui file
  * debian/patches:
    - Remove patch to add support for MATE (now upstream)
    - Remove patch to fix the auto-start issue (now upstream)
    - Update add_defaults_for_ubuntu.patch with values for this release
  * debian/rules:
    - Remove shebang rewrite from override_dh_python3
    - Add no-guessing-deps to override_dh_python3
  * Word suggestions:
    - Add possibility to learn word sequences, but no new words
    - Add removal of words from current user language model on long press
    - Add removal of a word in current context only
    - Add tool to extract letter frequencies from a given language model
    - Use slash as word separator in the path component of URLs
    - Improve word suggestions after a wrap to a second line in gnome-terminal
    - Better handle interaction with the awesome bar's URL completion of firefox
    - Fix synchronisation between libreoffice writer and text document
    - Fix insertion of word separators consisting of more than one character
    - Delete selected text before inserting suggestions into Gtk-3 widgets
    - Fix memory leak in predict calls
    - Improve robustness of language model loading by handling word counts <= 0
    - Have the checkmodels tool check for valid n-gram frequency fields
    - Fix and improve broken doctest for _get_word_to_spell_check()
    - Remove "th" from the English system language models
    - Increase the number of words in the German system language models
    - Fix traceback when migrating user language model with LANG=C
    - Always use "Other Languages" as name for submenu of languages menu
    - Move second separator in language menu to correct position
  * Auto-show and auto-hide:
    - Add hiding of Onboard keyboard on physical key-press for XInput
    - Add setting for the time to stay hidden after physical key-press
    - Add possibility to turn off repositioning on auto-show (LP #1402212)
    - Centralize auto-show code to make it available for future views
    - Correctly register at-spi listeners on startup
    - Correctly disconnect events on exit
    - Fix auto-show on cursor movement in single-line text entries
  * XEmbedding in unity-greeter and gnome-screensaver:
    - Enable hide button in unity-greeter; needs restart until greeter assists
    - Add a toggle to system defaults to enable the background image
    - Read filename of background in greeter's shema in unity-greeter
    - Ignore xembed-unity-greeter-offset-x on small screens
    - Increase xembed aspect change range (LP: #1297695)
    - Add the color of the background bar to system defaults
    - Fix loading of desktop backgrounds with non-ascii filenames
    - Fix black bars problem
    - Fix background image not showing with python 3.2 on Precise
    - Add debug command line option "--launched-by" to ease testing xembedding
    - Add script to manually test the xembed behaviour
  * Improvements when org.gnome.interface scaling-factor is > 1:
    - Apply scaling to XImput events
    - Also scale docking struts
    - Switch more reliably when scaling factor changes
    - Work around unscaled accessible extents (LP: #1325026)
    - Fix incomplete rendering of keys (LP #1283491)
    - Fix get_position() of all override redirect windows (LP #1283491)
    - Improve display of blurry images
  * Layouts:
    - Update layout format to new version 3.2
    - New key attribute "show_active" shifts hard-coded behavior to layouts
    - Add nocycle variants to the sticky key behaviour attribute
    - Add push-button behaviour for sticky keys
    - Fix keys with the same id being ignored
    - Fix images not being found for layouts given on command line
    - Fix typo of the author's name in GPL header of the Whiteboard layouts
    - Reorder keys in Grid layout for more efficient scanning for azerty maps
    - Show 'm' key in Grid layout for azerty key maps (LP: #1293259)
    - Fix opening of layouts folder when layouts folder does not exist
  * Logging:
    - Tweak and colorize log output in interactive terminals
    - Add new logging levels "atspi", "event" and "all"
    - Move all at-spi logging to log-level "atspi"
    - Allow to specify a range of logging levels for the -d command line option
  * Unit tests:
    - Add unit tests for moving/resizing of keyboard and floating icon
    - Add unit test for system theme tracking with high/low contrast gtk-themes
    - Add unit test for preserving the numlock state after exit
    - Add unit test for running in the live-CD environment
    - Fix unit tests failures with python 3.2 on Precise
  * Add support for multiple monitors to docking
  * By default, automatically move docked keyboard to monitor with active window
  * Add context menu to floating icon
  * Add tool to install gsettings shema without building the debian package
  * Add deletion of build files from source tree to some setup.py commands
  * Add new snippets dialog for empty snippets on snippets button click
  * Also open new snippets dialog on long press for snippet editing
  * Synchronize Onboard with all externally activated modifiers (LP: #1331549)
  * Reorganize output of the onboard --help switch
  * Take new window manager name "GNOME-Shell" into account
  * Don't auto-start Onboard in GNOME classic as it uses its own keyboard now
  * Set opacity after realizing window for compatibility with Vivid
  * Remove the restart requirement for the "Touch input" setting
  * Close the language menu when the language button is pressed a second time
  * Don't show keyboard on moving and resizing the floating icon
  * Use xdg-open for layout folder; thanks J.Beekman (LP: #1322368,LP: #1389978)
  * Remove useless notebook tab from the docking settings and auto-show dialog
  * Add optional delay between automatic keystrokes  (LP: #1391241)
  * Extend resize protection to include window movement
  * Fix CAPS behavior when set up as switcher for "input sources" (LP: #1313176)
  * Don't activate the move button twice per press
  * Don't hide dialogs behind keyboard when using force-to-top mode
  * Improve handling of absolute paths containing space characters
  * Correctly show the on/off state of auto-show in the Preferences dialog
  * Fix Onboard start when it gets enabled in the system settings (LP: #1376764)
  * Fix start when org.gnome.desktop.a11y.applications is missing (LP: #1402558)
  * Fix start when hint file was created for wrong user
  * Fix start with non-unicode locales and with C locale
  * Fix Onboard becoming unusable because of invisible warning dialogs
  * Fix unresponsive keyboard with wacom driver (LP: #1297692)
  * Fix display of About dialog when po file has empty msgids (LP: #1293829)
  * Make sure to escape markup to prevent errors with translations
  * Scale the default size of label popups with the window-scaling-factor
  * Assume RGBA support exist without compositing only for unity-greeter
  * Have key events from the XInput event source deliver a valid source_id
  * Fix EventSource cleanup
  * Prevent package build failures when running onboard-settings before build
  * Enable gcc option -Wdeclaration-after-statement for building on Arch Linux
  * Fix declarations after statement warnings when compiling osk in Precise
  * Fix traceback and hang when using click buttons with python 3.2 on Precise
  * Add information about our stable PPA to README
  * Add build instructions for Ubuntu, Arch and Mageia 4 to README
  * Perform some small visual tweaks
  * Add missing GPL header to some files
  * Fix some Gtk deprecation warnings; not all for compatibility with Precise
  * Perform various code cleanups
  * Include translations for vivid from the Ubuntu Translators as of 20150127

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 28 Jan 2015 12:17:36 +0100

onboard (1.0.0-0ubuntu6) vivid; urgency=medium

  * Added support for MATE to the autostart .desktop file

 -- Martin Wimpress <martin@flexion.org>  Tue, 13 Jan 2015 11:56:27 +0000

onboard (1.0.0-0ubuntu5) vivid; urgency=medium

  * Request for sponsorship (LP: #1378739)
  * debian/patches:
    - Add fix_autostart.patch (LP: #1376764)

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 08 Oct 2014 21:52:03 +0200

onboard (1.0.0-0ubuntu4) trusty; urgency=medium

  * Request for sponsorship (LP: #1303370)
  * debian/patches/add_defaults_for_ubuntu.patch:
    - Increase xembed aspect change range (LP: #1297695)

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 04 Apr 2014 21:11:15 +0200

onboard (1.0.0-0ubuntu3) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:53 +0100

onboard (1.0.0-0ubuntu2) trusty; urgency=medium

  * Rewrite the python shebang path to /usr/bin/python3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2014 13:14:16 +0100

onboard (1.0.0-0ubuntu1) trusty; urgency=low

  * Request for sponsorship for new upstream release (LP: #1282231)
  * debian/control:
    - Raise Standards-Version to 3.9.5
    - Add librsvg2-common to Depends for Kubuntu (LP: #1204896)
  * debian/onboard.install:
    - Use usr/share/onboard/onboard-defaults.conf* instead of single entries
    - Add the usr/share/onboard/tools/checkmodels file
  * debian/patches/add_defaults_for_ubuntu.patch:
    - Update add_defaults_for_ubuntu.patch with values for this release
  * Word suggestions enhancements:
    - Every language id now has its own user language model
    - Add a checkbox to the Preferences to show the language switch on layouts
    - Add a checkbox to the Preferences to show the pause learning button
    - Add Canadian English system language model
    - Add Danish system language model
    - Add various flavors of the Dutch system language model
    - Add Gaelic system language model
    - Add Greek system language model
    - Add Irish system language model
    - Add Luxembourgian system language model.
    - Add Polish system language model
    - Add Romanian system language model
    - Add Swedish system language model
    - Add Turkish system language model
    - Update Brazilian system language model
    - Improve makemodels script
    - Add model_info tool
    - Add checkmodels tool to diagnose language model loading errors
    - Add tool to randomize sentences in corpora
    - Add copy function to allow transfer between language models
    - Add smart support for camel-case words (Thanks Michael Bauer)
    - Make language switcher more user-friendly (Thanks Michael Bauer)
    - Stop word correction when spell checker dictionary is not present
    - Fix learning of text spans larger than 100 characters
    - Fix word suggestions sometimes being unaware of modifier presses
    - Fix all upper-case words not being suggested at sentence begin
    - Fix wrong caret position in rename function of Nautilus
    - Fix some character deletion on focus change after a word completion
    - Fix bit rot in split_corpus tool
    - Improve handling of the / and other non-word tokens
    - Improve support for URLs and directories
    - Don't learn passwords from URLs
    - Show dialog on language model loading error (LP: #1278599)
  * Layouts:
    - Add support for polygonal keys instead of only rectangles (LP: #1259371)
    - Make the Return key of the Compact and Full Keyboard layouts a polygon
    - Don't write suggestions outside prediction area in Onboard
    - Grid layout: add settings,move,hide,quit and click buttons (LP: #754391)
    - Add Whiteboard and Whiteboard wide layouts (contributed by Johannes Almer)
    - Add short and long description to the layouts
    - Perform small visual improvements
  * Change the design of the layout section in the Preferences
  * Tweak themes lightly
  * Click buttons:
    - Add support for new mousetweaks branch (version >= 3.9)
    - Fix CSClickMapper sometimes erroneously claiming to be active
  * Add dependencies check to setup.py
  * Add gsettings key to choose between Appindicator and GtkStatusIcon
  * Add new D-Bus method ToggleVisible() for (LP: #1232107)
  * Add input-event-source to the system defaults example file
  * Add basic doctest for window manager detection
  * Enhance the system defaults file with entries for the typing assistance
  * Fix window manager detection
  * Fix unregistering of events when auto-show is disabled
  * Fix reading system defaults from XDG_CONFIG paths
  * Fix quit button in popup layouts
  * Fix back trace when pressing char keys
  * Auto-release modifiers when hiding the keyboard (LP: #1277255)
  * Allow startup without Atspi typelib
  * Add fallback character for popup indicator in case it is not in the font
  * Check for absolute paths before loading files (LP: #1249493, LP: #1249825)
  * Make moving of keyboard more responsive
  * Correct D-Bus section in README
  * New layout order in the Preferences of Onboard
  * Improve some comments and strings in the source code
  * Remove unused changekbd.sh
  * Some code cleanup

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Tue, 19 Feb 2014 20:04:00 +0100

onboard (0.99.0-0ubuntu2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:34 +0000

onboard (0.99.0-0ubuntu1) saucy; urgency=low

  * Request for sponsorship for new upstream release (LP: #1215164)
  * debian/control:
    - Add libcanberra-dev, libxkbfile-dev and libhunspell-dev to Build-Depends
    - Raise Standards-Version to 3.9.4
    - Remove python3-virtkey from Depends
    - Add libxkbfile1, libcanberra0, libhunspell-1.3-0 and iso-codes to Depends
    - Define new package onboard-data package for all architectures
    - Add onboard-data to Recommends
    - Update description of onboard package
  * debian/control_python2.in: removed
  * debian/control_python3.in: removed
  * debian/onboard.install: new file to split keyboard from the prediction data
  * debian/onboard-data.install: new file with the prediction data for onboard
  * debian/rules:
    - Remove support for python2
    - Add override_dh_auto_install target to use debian/tmp
    - Add override_dh_install target
  * debian/patches/add_defaults_for_ubuntu.patch:
    - Update add_defaults_for_ubuntu.patch with values for this release
  * Long press popup:
    - Hide long press popup when keyboard gets hidden
    - Add possibility to show arbitrary layouts in popups
    - Add character alternatives for most latin based languages
  * Add key-press feedback:
    - Size of label popup stored in gsettings-key
    - Also allow images in the touch feedback
    - Don't show feedback popup when xembedded
  * Add sound feedback:
    - New dependency: libcanberra
    - Add 'Play sound' option to the Preferences dialog
  * Add word suggestions:
    - Add tools to create language models (lm) from large corpora
    - Learn from typed text by default
    - Limit over-learning in the terminal with additional filters.
    - Use UTF-8 encoding internally (cuts memory usage)
    - Fall back to hard-coded country codes if there is no lm for current locale
    - Add initial system language models for: de_AT, de_CH, de_DE, en_AU,
      en_ES, en_GB, en_US, fr_fr, it_IT, pt_BR, pt_PT, ru_RU
    - Optimize system language models for size/memory usage.
    - Use case insensitive predictions most of the time
    - Offer spelling suggestions based on the hunspell C-API
    - Auto-add word separators
    - Add word suggestion row to all layouts
    - Make word suggestion also work when using the scanning mode
    - Doctests available for English, German, Italian, Portuguese, Russian and
      Spanish
  * Add auto-capitalization
    - Off by default because very new
    - Add corresponding option to the Preferences of Onboard
    - Independent of word suggestions
  * Add XInput as a new event source and make it the default: (LP: #905636)
    - Fall back to GTK event handling if XInput 2.2 isn't available
    - Allow switching between GTK and XInput events without restarting Onboard
    - Listen only to the XInput client pointer and its slaves
    - Make XInput target specific windows instead of root window
    - Support Multi-touch
    - Don't count scroll-wheel movement as button presses
    - Grab pointer even if click is performed by different device than movement
    - Fix pointer becoming unresponsive on wetab tablet (LP: #1095508)
  * Docking: 
    - Fix returning to the undocked position when turning off docking
  * Layouts:
    - Add new layout called Phone
    - Add new layout called Small
    - Fix Euro sign not being typed in Phone and Small layouts (LP: #1164009)
    - Fix key stroke width not being written to theme files
    - Make layouts understand a new 'layout' tag for sub-layouts
    - Make layouts understand a new 'compact' attribute for boxes
    - New 'svg_id' attribute allows ids in the svg file different from key id
    - New key attribute 'label_margin' to influence the size of the labels
    - New attribute 'theme_id' for keys
    - Allow multiple characters in char attribute of layouts
    - Fall back to default layout on a layout loading error
    - Allow blocking of auto-switch to layer0 for arbitrary sub-trees
    - Perform various layout tweaks
    - Move hide button to word suggestion line when visible
    - Update layouts format versions to 3.1
  * Remove support for python 2
  * Integrate functionality of virtkey extension into Onboard; the separate
    python-virtkey package is not necessary anymore
  * Fix another problem with handling the no core keyboard case (LP: 526791)
  * Fix setting the Super key label override in the Preferences dialog
  * Make system defaults work also after a manual install (LP: #1210568)
  * Prevent motion event congestion when using XInput (LP: #1210665)
  * Base remapping of middle and right click on XInput (LP: #1191098)
  * Add another click type switching method under XInput (LP: #1210575)
  * Allow to wrap simulated clicks in left Alt presses (LP: #1212248)
  * Support XDG Base Directory Specification (LP: #1074448)
  * Don't create empty user directories until they are needed (LP: #1105843)
  * Allow drag selection of keys (LP: #644210)
  * Add HighContrast icon (LP: #1082243)
  * Fix onboard sometimes not switching labels back to lower case (LP: #1207503)
  * Ensure proper python thread state in gdk event filters (LP: #1189946)
  * Properly set up signal handler in the osk python thread state (LP: #1195857)
  * Fix segfault when activating drag click the first time without hover click
  * Don't interrupt manual window movement with auto-show repositioning
  * Do not support anymore outdated conversion to gsettings (LP: #1123789)
  * Fix window resizing while the scanner is enabled
  * Don't flash the icon palette when rotating the screen of the Nexus 7
  * Terminate drag click on pointer stop instead of click to work around bug
  * Move keyboard to current desktop with D-Bus Show() in OpenBox (LP: #1092166)
  * Work around hang/endless loop when quickly switching themes
  * Fix URL bar of Epiphany web browser not being detected by AT-SPI
  * Various fixes to improve python2 compatibility
  * Fix osk errors found by cpychecker
  * Make more AT-SPI processing asynchronous
  * Handle more uncaught AT-SPI exceptions
  * Don't read much data from accessibles before we know them to be of interest
  * Let ConfigObject be the interface of all gsettings delay and apply calls
  * Improve appearance of the Preferences dialog
  * Allow starting up without python(3)-dbus (runs with reduced functionality)
  * Update system defaults example files
  * Make themes work with more layers
  * Improve themes and color schemes
  * Add sdist to pkg-config debugging aid
  * Remove Alt-Tab blocking on Nexus 7 (LP: #1082101)
  * Drop gconf2 migration
  * Update some labels and tooltips
  * Some code cleanup

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 22 Aug 2013 10:24:23 +0200

onboard (0.99.0~alpha1~tr1190-0ubuntu1) raring; urgency=low

  * New upstream alpha release. (LP: #1089396)
    + Fix Onboard becoming empty when system font dpi changes

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 12 Dec 2012 21:33:43 +0100

onboard (0.99.0~alpha1~tr1188-0ubuntu1) raring; urgency=low

  * Sponsorship request for Ubuntu Raring (LP: #1089396)
  * debian/control: raise virtkey run dependency to 0.63.0 or above
  * debian/patches: refresh patch and change default theme
  * Onboard requires now virtkey >= 0.63.0
  * Add example file with system defaults for the nexus7
  * Various changes to get acceptable speeds on the nexus7 (LP: #1070760)
  * Add docking feature (LP: #405034)
  * Add sliding feature for docking and auto-repositioning
  * Add multitouch support
  * Add a toggle to stop listening to touch events in case of many problems
  * Add popup on long press for key variants like diacritics
  * New option to choose popup vs repeat for keys with variants
  * New gsettings key for the popup delay
  * Make move, frame and touch handles work on the nexus7
  * Perform simulated clicks on correct touch position
  * Auto-release pointer grab after timeout in case nexus7 is unresponsive
  * Fix xserver memory leaking
  * Improve speed when typing and moving the pointer (LP: #1055448)
  * Fix rendering being slowed by emboss effect on keycaps (LP: #890221)
  * Fix for not being able to move/resize Onboard on touchscreens (LP: #959035)
  * Have Onboard respect launcher icon size (LP: #1078554)
  * Auto-show Onboard by clicking already selected text entries (LP: #1078602)
  * Make default shortcut for language/layout work from Onboard (LP: #1078629)
  * New design of the Preferences dialog with more options (LP: #1053496)
  * Disable click buttons when mousetweaks is not installed
  * Add D-Bus service to show and hide the keyboard (LP: 1032042)
  * Don't export dbus service for embedded instances
  * Set NumLock's default sticky behavior to LOCK_ONLY
  * Keep state of NumLock across restarts
  * New attribute in layout files for sticky key behaviour
  * New layout tags key_template and keysym_rule defining keysym-specific labels
  * New window tag for color schemes to define border of popups
  * New layout tag for language specific overrides in the layouts
  * Move common key definitions into template for import by layout files
  * Sync modifier states of Onboard with changes by hardware keyboard or tools
  * Fix keys not re-rendered when releasing latched modifiers (LP: #1069990)
  * Send key strokes for all modifiers (LP: #1067797)
  * Blacklist Ctrl-LAlt+Fn keys by default
  * Add alternative key generation by at-spi2
  * Try to improve struts handling for metacity and mutter
  * Fix getpreferredencoding hack, by Matthias Klose
  * Build for all python3 versions, by Matthias Klose
  * Add work arounds for some problems with the search box of firefox
  * Improve startup sequence to fix Onboard showing up sometime at position 0.0
  * Make scanning work out of the box on the nexus7
  * Small changes to some themes
  * Add new Nightshade theme
  * Add keystroke width to the theme settings
  * Highlight pressed keys longer for better visibility on slow computers
  * More visual tweaks
  * Several code cleanups

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 12 Dec 2012 14:47:19 +0100

onboard (0.98.2-0ubuntu1) raring; urgency=low

  * Sponsorship request for Ubuntu Raring (LP: #1071888)
  * Fix keys with operators (+,-,*,/) on the number keypad of Onboard
  * Fix failure to instantiate Config singleton with python 3.3
  * Fix distutils-extra build with python3.3
  * Sync translations files with the 0.98 branch in rosetta as of 2012-10-26
  * debian/control: demote mousetweaks from Recommends to Suggests
  * debian/rules: build for all python3 versions, by Matthias Klose
  * debian/patches: add defaults file with values appropriate for Ubuntu

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 26 Oct 2012 22:06:50 +0200

onboard (0.98.1-0ubuntu1) quantal; urgency=low

  * Sponsorship request for Ubuntu Quantal (LP: #1057518)
  * Try to raise Onboard on top of full-screen windows (LP: #1035578)
  * Don't auto-start Onboard in GNOME Shell when a11y key is set (LP: #879942)
  * Fix status icon showing in MATE, Xfce and others (LP: #1044918)
  * Do not have the mono icons appear in Unity Launcher
  * Do not abort startup if dconf key migration fails
  * Hide preferences button if g-c-c isn't in PATH (LP: #1053194)
  * Give --not-show-in less chance to cause D-Bus timeouts in GNOME Shell
  * Also add stack traces to file logging
  * Lighten up shadows in Ambiance theme
  * Fix configuring of Direct Scan
  * Fix vendor/product id lookup of input devices
  * Fix input device listing in the Preferences dialog
  * Remove redundant code from the Preferences dialog
  * Fix opening SVG files when used in python2 mode
  * Sync with translations of 0.98 in rosetta as of 2012-09-27

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 27 Sep 2012 15:15:58 +0200

onboard (0.98.0-0ubuntu6) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:15:48 +0000

onboard (0.98.0-0ubuntu5) raring; urgency=low

  * Fix shebang.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 17:58:41 +0000

onboard (0.98.0-0ubuntu4) raring; urgency=low

  * Backport from upstream: Fix failure to instantiate Config singleton with
    Python 3.3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Nov 2012 14:27:53 +0000

onboard (0.98.0-0ubuntu3) raring; urgency=low

  * Fix getpreferredencoding hack.
  * Build for all python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Oct 2012 12:17:02 +0200

onboard (0.98.0-0ubuntu2) quantal; urgency=low

  * debian/control: Demote mousetweaks to suggests, to prevent undesired GNOME
    infrastructure from being pulled onto Xubuntu images.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 Sep 2012 12:45:19 +1000

onboard (0.98.0-0ubuntu1) quantal; urgency=low

  * Freeze exception request for new upstream release (LP: #1041303)
  * debian/pycompat: removed as not used anymore
  * debian/control:
    - Build-Depends:
      + replace python and python-all-dev with python3-all-dev
      + replace python-distutils-extra with python3-distutils-extra
      + remove libxi-dev as libgtk-3-dev pulls it in
    - remove X-Python-Version and set X-Python3-Version: >= 3.2
    - Depends:
      + remove ${python:Depends}, python-cairo, python-dbus,
        python-virtkey (>= 0.60.0) and gir1.2-wnck-3.0
      + add ${python3:Depends}, python3-cairo, python3-gi-cairo,
        python3-dbus and python3-virtkey (>= 0.61.0)
  * debian/rules:
    - enhance it to work with python2 and python3
    - add procedure to switch between python2 and python3
    - add --without python-support to appease lintian
  * debian/onboard.lintian-override:
    - override missing manual message
    - override extra-license-file message
  * Move gsettings path to /org/onboard (LP: #982699); thanks R. Ancell
  * Various visual improvements: 
    - push down effect on keys
    - keys now have shadows
    - smaller touch handles
    - tweak images used by click buttons and other keys
    - smoother transparency transitions
  * Detect window manager to care for its specificities
  * Add command line option to override automatic environment detection
  * Mark command line help as translatable
  * Add middle click in hover click mode; requires mousetweaks >= 3.3.90
  * Various auto-show fixes
  * Stop endless loop of auto-show on top of unity dash
  * Fix some show/hide problems
  * Stop wiggling of launcher icons on show/hide of keyboard window
  * Various python3 adaptions, trying to keep python2 compatibility
  * Move to python3 needs virtkey version >= 0.61.0
  * Switch all translated strings to unicode (LP: #933030)
  * Make python3 the default
  * Don't show disabled buttons when XEmbedding (LP: #1019593)
  * Don't create the icon palette when XEmbedding
  * Add new color scheme to follow the HighContrastInverse theme update
  * Stayon top of full-screen windows in force-to-top mode (LP: #1035578)
  * Fix keyboard and icon palette not always above dash
  * Add lockdown key to disable all dwell-activation
  * Adapt to WM_NAMEs of Unity version 6
  * Write message listing dependencies when sdist fails
  * Add tests to check translations for errors, uses python-nose
  * Make Onboard more robust against translation errors
  * Make icon palette dwellable
  * Add dconf version detection, thanks Robert Ancell
  * Fix Super key (LP: #900191)
  * Make menu key pop up context menu
  * Separate layout loading from the keyboard widget
  * Improve exception handling for theme and color files
  * Limit keyboard size when it doesn't fit on screen (LP: #991318)
  * Trap various X BadWindow errors (LP: #1016980)
  * Work around regression of configure event in quantal
  * Remove wnck dependency as gtk3's window-state-event reports iconification
  * Prevent zombie process when launching preferences (LP: #936332)
  * Only appear in gnome-screen-saver if onboard was running (LP: #938302)
  * Don't check for running Onboard if "Typing Assistant" is on (LP: #938302)
  * Fix some problems when compositing is enabled
  * Switch window property to type XA_CARDINAL for compiz
  * Fix keyboard window not moving when the gsettings keys are changed
  * Fix regression when starting in unity-greeter
  * Suppress python error messages in unity-greeter
  * Catch SIGTERM and make sure all keys are released when exiting (LP: #978430)
  * Don't hide the keyboard when switching themes in unity-greeter
  * Fix saving of keyboard window and icon palette after first start
  * Fix theme not being remembered between launches
  * Make active modifier keys visible in scanning mode
  * Fix init of scanning mode with Xinput 2.2 and GTK 3.5.12-0ubuntu1
  * Fix python3 encoding errors in non-Unicode locales
  * Fix python3 encoding error when trying to personalize a layout
  * Fix python3 backtrace on adding a new snippet
  * Fix migration of gsettings values of icon palette
  * Fix startup of Onboard for some tablet users
  * Don't get resized by compiz grid plugin
  * Fix saving of home-rect in GNOME Shell when decoration is active
  * Fix keyboard window resizing when rotating screen in GNOME Shell
  * Inform unity that this is an on-screen keyboard, cf LP: #739812
  * Fix idle transparency kicking in while typing into firefox awesomebar
  * Exit cleanly on Ctrl-c
  * Fix typos in tooltips
  * Some code and comments cleanup

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Thu, 23 Aug 2012 22:41:24 +0200

onboard (0.97.0-0ubuntu1) oneiric; urgency=low

  * Request for sponsorship: New release available (LP: #932855)
  * debian/control:
      Build-Depends: add libdconf-dev
      Depends: add gir1.2-wnck-3.0, libdconf0
      Recommends: add gir1.2-atspi-2.0
  * debian/copyright: add year 2012
  * debian/patches: update onboard-defaults.conf file
  * Add improved scanning feature to osk extension
    - scanning works with all official layouts
    - different scan modes are available
    - support for 1, 2, 3 and 5 switches
    - devices can be configured to be used exclusively for scanning
  * Port osk extension to GTK3
  * Add auto-show with auto-move feature; requires at-spi2 (LP: #443986)
    - confirm activation of at-spi2 with a dialog
    - automatically move Onboard when it covers the input focus
    - no auto-move when the keyboard is manually shown
    - logging of focused at-spi accessibles through 'onboard -ddebug'
  * Hide and show Onboard with a middle click on the indicator icon
  * Add new icons for appindicator matching Ambiance and Radiance themes
  * Add lockdown options for kiosk mode (LP: #879944)
  * Silently embed into gnome-screen-saver if no app did so (LP: #857813)
  * Make Onboard aware of screen rotation (LP: 911821)
  * Protect against accidental resize/move of Onboard's windows (LP: #893644)
  * Add option to disable resize handles (LP: #930373)
  * Allow resizing with all mouse buttons
  * Show menu entry for Xubuntu/Xfce (LP: #833862)
  * Extend force-to-top mode to the Icon Palette
  * Allow /user/local/share/onboard as an alternative installation directory
  * Support starting onboard-settings in cli with non default language
  * Don't start more than one instance under normal usage
  * Fix onboard-settings crash in get_selected_layout_filename (LP: #913484)
  * Add double click and drag click also for non dwelling mode
  * Adjust category of the onboard-settings.desktop file (LP: #833873)
  * Add more modifier behaviors: cycle (default), dblclick, latch, lock
  * Add option to always show on visible workspace (LP: #803875)
  * Add Alan Bell's themes: Typist, ModelM
  * Add HighContrast, HighContrastInverse and LowContrast themes
  * Option to track GTK theme to have Onboard switch to matching theme
  * Make the colors of the icon of the Icon Palette adapt to the theme
  * Calculate corner radius of the Icon Palette based on it's size
  * Let Onboard draw itself the icon of Icon Palette instead of loading it
  * Make a newly created customized theme the active one
  * Stop selecting the default theme when resetting or deleting a theme
  * Remove overrides for font setting and key label from themes
  * Add format information to schemas, themes and colors files
  * Convert sticky-key-behavior and system-theme-associations to dicts
  * Show touch handles when activating drag click in dwell mode
  * Show touch handles on long press of the move button
  * Save window geometry 5 seconds after it was changed (LP: #819971)
  * Add option to keep aspect ratio of keyboard window
  * Update and fix system defaults example file
  * Give the AppIndicator an accessible description (LP: #891931)
  * Try to protect against bad accessibles
  * Fix backtrace and ignore menu positioning with the status icon fallback
  * Add shortcuts to the Preferences dialog
  * Allow canceling click buttons actions at any time before the click
  * Limit system impact of click polling (LP: #928800)
  * Don't let the move button leave the screen (LP: 885608)
  * Ask window manager to remove the maximize function (LP: #859288)
  * Fix Unity 2D fighting with Onboard for the top spot
  * Fix starting of the Preferences of Onboard on the LiveCD (LP: #877592)
  * Block opening of Preferences when running in the Display Manager
  * Improve handling of gsettings events (LP: #877601)
  * Don't let compiz grid plugin resize the Icon Palette (LP: 893644)
  * New color scheme format to better support detailed color settings
  * Rename key attributes. "hovered" -> "prelight" and "latched" -> "active"
  * Fix middle and right click button for 0.95 legacy layouts
  * Fix Icon Palette flashing when unity-greeter is killed
  * Fix Icon Palette not restoring the correct position
  * Don't fail to start on older versions of gtk3 (3.0.11 on Mandriva 2011)
  * Fix missing super key label on distributions without the ubuntu logo
  * Fix almost invisibly short feedback on keypress occuring on some notebooks
  * Fix Onboard being invisible after unlocking the screen
  * Fix transparency bug when rapidly toggling inactivity timer
  * Work around transparency state loss due to bug 837456
  * Fix intltool warnings about messages being hard to translate
  * Rename layer buttons
  * Remove outdated hint about option for modal dialogs in AT panel
  * Remove unused images
  * Fix black corner issue when auto-starting in unity (LP: #877604)
  * No fade delay when hiding Onboard and transparency is not supported
  * Don't set inactive transparency when a text field gets focus while typing
  * Remove redundant hook check
  * Improve hide/show by using libwnck (LP: #917386), new runtime dependency
  * Fix broken hide button in metacity without compositing
  * Prevent onboard from disappearing when jammed into the lower left corner
  * Don't allow to open multiple new snippet dialogs in force-to-top mode
  * Don't hide new snippet dialog behind keyboard window in force-to-top mode
  * Remove all active grabs
  * Fix hidden window appearing as ghost in Metacity (LP: #929513)
  * Fix showing of Icon Palette of first try in Metacity
  * Fix typo in message about turning on accessibility (LP: #929226)
  * Fix several backtraces
  * Cleanup gsettings schema
  * Rename tool-tip to tooltip (LP: #912929)
  * Improve and fix some tooltips and key names
  * Don't show tooltips while moving the keyboard
  * Code cleanup, typo fixing, gui and tooltip improvements, performance fixes
  * Replace % operator by python 3 string formatting to avoid encoding errors
  * Begin python3 (>=3.2) conversion
  * Add Gerd to AUTHORS file and order the names alphabetically

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 15 Feb 2012 16:42:03 +0100

onboard (0.96.0-0ubuntu1) oneiric; urgency=low

  * Feature Freeze exception request (LP: #872374)
  * Uses gobject introspection (GTK3), (LP: #858988)
  * Uses gsettings rather than gconf (LP: #801208)
  * Show on new lock screen (LP: #857813)
  * Make Caps Lock stick on single click, (LP: #68716)
  * Use dh_python2 (LP: #788514)
  * Make Caps Lock stick on single click (LP: #68716)
  * Add a hide button (LP: #564040 , LP: #584119)
  * Add options for transparency of the onscreen keyboard window (LP: #643204)
  * Add option to use a window without decoration
  * Add tooltips to some keys of Onboard
  * Add option to force Onboard window to top (work around bug 739812)
  * Add possibility to differentiate snippets with custom labels
  * Add buttons to control the hover click eature provided by the system
  * Enhance the layout creation with parts that are visible on all layer
  * Reworked the layouts and renamed Classic Onboard layout to Compact layout
  * Many other little fixes and adjustments (details in commits on launchpad)
  * debian/control:
      Build-Depends: add python-all-dev, libgtk-3-dev, libxi-dev, libxtst-dev
                     remove libxi6
      Depends: add ${shlibs:Depends}, python-dbus, gir1.2-gtk-3.0,
                   gir1.2-pango-1.0 (>= 1.29.3), gir1.2-glib-2.0,
                   gir1.2-gdkpixbuf-2.0, libgtk-3-0, libxtst6
               remove python-gtk2, python-gconf, python-gobject, libx11-6
  * debian/copyright: add Gerd Kohlberger to the list of authors
  * debian/rules: uncomment clean target
  * debian/patches: update onboard-defaults.conf file
                    remove onboard_autostart.patch
  * debian: remove outdated README.source file

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Tue, 11 Oct 2011 19:38:59 +0200

onboard (0.95.1-0ubuntu4) oneiric; urgency=low

  * Fix last update which caused onboard to always start by default
    (LP: #858988)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Sep 2011 13:03:00 -0400

onboard (0.95.1-0ubuntu3) oneiric; urgency=low

  * Disable autostart in GNOME Shell so that onboard doesn't conflict
    with the build-it onscreen keyboard

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Sep 2011 05:19:15 -0400

onboard (0.95.1-0ubuntu2) oneiric; urgency=low

  * Add autostart desktop file so onboard loads when on-screen keyboard is
    enabled in the accessibility applet of control center

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 09 Aug 2011 12:19:18 +1000

onboard (0.95.1-0ubuntu1) oneiric; urgency=low

    * Request for sponsorship: New release available (LP: #802027)
    * Don't crash when the icon fails to load.
    * Construct GtkAdjustments before the objects they are referenced in. Works
      around regression caused by 
      https://bugzilla.gnome.org/show_bug.cgi?id=576492
    * Update README about themes and macros
    * Import translations from launchpad on 25th June 2011
    * debian/control and debian/rules:
        Convert build system to dh7 and Python helper to dh_python2; code from
        Barry Warsaw (LP: #788514)
    * debian/patches:
        Set Ambiance as default theme by using the provided configuration
        mechanism; Ambiance is the theme designed for Ubuntu Natty
    * debian/copyright:
        Add the year 2011

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Sat, 25 Jun 2011 19:41:52 +0200

onboard (0.95.0-0ubuntu1) natty; urgency=low

  * Add support for themes supporting gradients, color schemes, round
    corners, fonts, font styles, ... (partially Alan Bells; LP: #713466)
  * Themes available:
       - Ambiance (LP: #768583, Alan Bells design for Ubuntu 11.04)
       - Blackboard
       - Classic Onboard
       - Darkroom
       - Droid
  * Use the theme for color information; not anymore the layout file
  * Add theming to cli parameters
  * Add configuration file for distributions to control default appearance
  * Add possibility to name each snippet button according to its content
  * Some cosmetic improvements by Gerd Kohlberger
  * Move user settings from .sok to .onboard directory
  * Rename layout files according to convention <layout name>-<pane name>.svg
  * Make capitalisation of the name of Onboard consistent (LP: #524297)
  * Fix and improve the "Personalize current layout" fonctionality
  * Improve handling of deleted and invalid layout filenames
  * Bring the height of the scan layout in line with the other layouts
  * Fix memory leak (LP: #732179)
  * Fix the close function of the status icon (LP: #718458)
  * Improve mouse button emulation by increasing click polling (LP: #731642)
  * Fix loading of default layout (LP: #769104)
  * Import community translations from launchpad on 21st June 2011)
  * Replace the word "Settings" with "Preferences" already used in Onboard
  * Fix some usage of the ellipsis symbol
  * Reduce the number of layout updates
  * debian/control: Raise Standards-Version to 3.9.2

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 22 Jun 2011 21:29:54 +0200

onboard (0.94.0-0ubuntu1) maverick; urgency=low

    * Make onboard follow keyboard layout changes (LP: 526791, LP: 65626)
    * Save onboard geometry on quit instead on configure-events (LP: #596248)
    * Improve handling of missing dependency for the clicks (LP: #524148):
        - Use soname instead of linker for libXi in X11.py
        - Add dependency on libxi6 to break package build if necessary
        - Get current version of soname for libx11 from environment
        - Respect DISPLAY environment variable in KeyboardGTK.py
        - Add debian/README.source with info about libxi6 and libx11
    * Do not crash if icon of IconPalette is missing (LP: #538109)
    * Fix Menu key, Delete key and Insert key
    * Qualify the import of our X11 module
    * Make strings in our X11 module translatable
    * Some cleanup by remove trailing spaces
    * debian/source/format:
        - Add debian source format file and use 3.0 (quilt)
    * debian/compat:
        - Raise it to 7
    * debian/control:
        - Update Standards-Version to 3.9.1
        - Update email address of original maintainer
        - Set minimal required version for debhelper to 7.0.8
        - Add quilt and libxi6 to Build-Depends
        - Add libxi6 and libx11-6 to Depends
    * debian/copyright:
        - Add hosting site
        - Add section with upstream authors
        - Update license information to GPL 3
    * debian/rules:
        - Include patchsys-quilt.mk and remove simple-patchsys.mk
        - Add clean target
    * debian/watch:
        - Add watch file
    * debian/README.source
        - Add README.source file

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 20 Aug 2010 17:11:12 +0200

onboard (0.93.0-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #523403)
    - Add option to make onboard appear when unlocking the screen
    - Add possibility to do a middle click/right click by doing a left click
    - Fix for the translations (LP: #452897)
    - Replace with-keyword for compatibility with python < 2.6 (LP: #460389)
    - Do not launch settings dialog under GDM (LP: #440371)
    - Minimize to IconPalette if running under GDM, instead of disappearing
    - Fix capitalisation of the word GNOME (LP: #495526)
    - Check against version of auto module and not against version of package
    - Make it compatible to DistUtilsExtra.auto >= 2.10
    - Adjust permissions and fix typo (LP: #461491)
    - Fix long description in schemas file
    - Fix keysym of Del key
    - Fix taskbar icon visibility (LP: #456178)
  * debian/control:
    - Replace python-dev with python in Build-Depends
    - Update Standards-Version
    - Require python-distutils-extra >= 2.10
  * debian/rules:
    - Add simple-patchsys.mk

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 17 Feb 2010 20:54:10 +0100

onboard (0.92.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 16 Aug 2009 17:10:21 +0100

onboard (0.91.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 20 Jul 2009 16:19:48 +1000

onboard (0.91ubuntu2) hardy; urgency=low

  * Do not display the onboard and onboard settings menu items.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 04 Mar 2008 09:58:16 +1100

onboard (0.91ubuntu1) hardy; urgency=low

  * Onboard/OnboardGtk.py: Fix typo (Chris Jones). LP: #196772.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2008 23:18:47 +0000

onboard (0.91) hardy; urgency=low

  * New upstream version (Chris Jones).
  * Onboard/utils.py: Fix typo.
  * Remove dependency on python-xml.
  * Remove backup files.
  * debian/rules: Don't set DH_PYCENTRAL=nomove.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2008 21:07:35 +0000

onboard (0.90) hardy; urgency=low

  * Sync to latest bzr, as requested by upstream author.
  * debian/control:
    - Add homepage field.
    - Add Vcs-Bzr field.
    - Tightened dependency on python-virtkey.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 19 Feb 2008 13:43:33 +1100

onboard (0.87) gutsy; urgency=low

  * debian/control: added python-glade2 to Depends. (LP: #109783)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 18 Jun 2007 18:12:20 +0200

onboard (0.86) feisty; urgency=low

  * Sync from bzr as requested by upstream author. 

 -- Jani Monoses <jani@ubuntu.com>  Fri,  2 Mar 2007 12:43:10 +0200

onboard (0.85) edgy; urgency=low

  * Sync to r42 in bzr repo, fixes working without Nautilus

 -- Jani Monoses <jani@ubuntu.com>  Fri, 13 Oct 2006 15:58:53 +0300

onboard (0.84) edgy; urgency=low

  * debian/onboard.desktop:
    - no menu item by default, fix the icon to use
  * debian/onboard-settings.desktop:
    - no menu item by default, fix the icon to use

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 11 Oct 2006 16:00:37 +0200

onboard (0.83) edgy; urgency=low

  * Update to r40 from the bzr repo.  

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon,  9 Oct 2006 13:38:39 +0200

onboard (0.82) edgy; urgency=low

  [Jani Monoses]
    - debian/control: depend on python-gconf only instead of python-gnome2 
    - Settings.py: fall back to Thunar if Nautilus is not available
  
  [Michael Bienia]
    - debian/onboard.desktop, debian/onboard-settings.desktop: fix icon path
    in desktop files (closes LP #64384)
      
 -- Jani Monoses <jani@ubuntu.com>  Sat,  7 Oct 2006 10:33:49 +0300

onboard (0.81) edgy; urgency=low

  [Chris Jones]
   - Rebrandinig
   - rules and control fixes

  [Daniel Holbach]
   - packaging changes: simplify packaging, Python Policy changes, Policy
     changes. 
  
 -- Chris Jones <cej105@soton.ac.uk>  Tue, 18 Jul 2006 19:47:14 +0100
